Android, Hacking, Hacking Tools, Vulnerability

Google Security Update Released for Android with Fixed KRACK Attacks Vulnerability



Google Security Update

Google Security Update Released for Android with many critical vulnerability fixes along with Recent WiFi based Very Critical KRACK Attacks vulnerability for all the Android Version under the 2017-11-06 security patch level.

A week before new Tool called KRACK Detector has been released to prevent from this critical KRACK Attack Vulnerability.

This Patch levels has split up into 3 parts that is categorized  2017-11-01 and 2017-11-05 patch levels at least a month before publication and last month notified all the issues has been allocated to 2017-11-06 patch level.

Media Framework based Vulnerability has considered as a severe one that could enable a remote attacker using a specially crafted file to execute arbitrary code.

According to Android Security Bulletin, Security patches for the KRACK vulnerabilities are provided under the 2017-11-06 security patch level.

Google Also Launched new Pixel / Nexus Security Bulletin where security vulnerabilities will be released for Pixel and Nexus devices .

Also Read :  Apple Released Security Update for iOS 11.1 & Other Apple Products with a KRACK Attack Fix

2017-11-01 Category  security patch level

Framework

This Framework based vulnerability  bypass the local malicious application and it could be possible by the way of user interaction to the target for successfully gain the access.



Media framework

Media Framework contains some severe flow with many Remote code execution vulnerability that could enable to a remote attacker using a specially crafted file to execute arbitrary code.

2017-11-05 Category  security patch level

In this category Maximum valnerabilities has been Discovered under local malicious application to execute arbitrary code within the context of a privileged process.

Vulnerability Pateched under following catogory compnents.

  • Kernel components
  • MediaTek components
  • NVIDIA components
  • Qualcomm components

2017-11-06 Category security patch level

Accrording to Security Bulletin Report, The most severe vulnerability in this section could enable a proximate attacker to bypass user interaction requirements before joining an unsecured Wi-Fi network.

Device manufacturers that include these updates should set the patch string level to:

  • [ro.build.version.security_patch]:[2017-11-01]
  • [ro.build.version.security_patch]:[2017-11-05]
  • [ro.build.version.security_patch]:[2017-11-06]

Android device and chipset manufacturers are encouraged to document the presence of other fixes on their devices through their own security websites, such as the Samsung, LGE, or Pixel / Nexus security bulletins , Google Said.



Source : GBHackers



Previous ArticleNext Article

Founder and Editor-in-Chief of ‘Professional Hackers India’. Technology Evangelist, Security Analyst, Cyber Security Expert, PHP Developer and Part time hacker.